#!/bin/bash
# echo $#

# MySQL DB version

exc () {

	echo
	echo $1
	$1
}

QNDB=QNdata
QNDBPW=QANPass

if [ "$#" -lt "1" ]; then

	echo Prerequisites before installing the QA Navigator DB:
	echo - sufficient access rights to MySQL
	echo - MySQL installed
	echo - MySQL added to PATH

	echo "Please provide <MySQL Password> [<DB Name> <DB Password>]"
	
	exit -1
else

	mPW=$1
	
	if [ "$#" -gt "2" ]; then

		QNDB=$2
		QNDBPW=$3
	fi
fi

#echo $mPW $QNDB $QNDBPW

#exc "mysqladmin --password=$mPW -v -f drop $QNDB"

echo "Creating DB $QNDB"
mysqladmin --password=$mPW -v create $QNDB
stat=$?


if [ $stat == 0 ]; then

	echo "Setting up user tables"
  mysql --password=$mPW -D $QNDB < setUpAddTblMy.sql
	stat=$?
fi

if [ $stat == 0 ]; then

	echo "Setting up the counter"
  mysql --password=$mPW -D $QNDB < setUpCounterMy.sql
	stat=$?
fi

if [ $stat == 0 ]; then

	echo "Setting up data tables"
  mysql --password=$mPW -D $QNDB < createXtblsMy.sql
	stat=$?
fi

if [ $stat == 0 ]; then

	echo "Granting usage"

	mysql --password=$mPW --execute "GRANT USAGE ON $QNDB.* TO QANuser@'%' IDENTIFIED BY '$QNDBPW'"
	mysql --password=$mPW --execute "GRANT USAGE ON $QNDB.* TO QANuser@localhost IDENTIFIED BY '$QNDBPW'"

	echo "Initialising users"

	mysql --password=$mPW -D mysql < initXUserMy.sql
	stat=$?
fi

if [ $stat != 0 ]; then

  echo "Error \"$stat\", processing canceled."
fi

# returns the value of the last call!
exit
